/*
 * Copyright 2005-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.directory.exception;

import javax.naming.NamingException;
import org.seasar.framework.exception.SRuntimeException;

/**
 * Directoryランタイム例外クラスです。
 * 
 * @author Jun Futagawa (Integsystem Corporation)
 * @version $Date:: 2006-04-30 02:34:00 +0900 $
 */
public final class DirectoryRuntimeException extends SRuntimeException {
	/**
	 * 指定された NamingException で例外を作成します。
	 * 
	 * @param cause NamingException
	 */
	public DirectoryRuntimeException(NamingException cause) {
		// TODO: エラー番号指定
		super("ESSR0071", new Object[] { cause }, cause);
	}
}
